Subject: bug#51132: [External] : bug#51132: Make sure user is doubly aware of finished complilations

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 16:13:30 +0000

> > A message "Foobarring..." should generally be
> > followed when done by "Foobarring...done".  And an
> > indication "Foobarring..." in the mode line should
> > generally be followed by an indication in the mode
> > line (e.g. "Foobarring...done").
> 
> But that's exactly what Emacs does.  Did you try to invoke
> "M-x compile" and see what happens on display when it finishes?

I'm not QAing whether the bug description is
accurate.  IF it's accurate then it's a bug,
IMHO.  That's all.

I replied to this:

>> OK, but then it disappears when the compilation is over.
> A message is issued, and I think that's sufficient.  Closing.
    ^^^^^^^                        ^^^^^^^^^^^^^^^^^

IMO, it's NOT sufficient that a message (echo
area) be issued, to finish an indication in
the mode line.